local binser = require 'libs.binser'

function loadSave()
    config = loadFromFile(configfile)
end

function loadFromFile(filename)
    local save_data = io.open(filename, 'r')
    if save_data == nil then
        return {} -- new object
    end
    return binser.deserialize(save_data:read())[1]
end

function initConfig()
    if config.fullscreen == nil then config.fullscreen = false end
    if config.music == nil then config.music = true end
    if config.lines == nil then config.lines = true end
    if not config.input then
        scene = InputConfigScene(true)
    else
        scene = TitleScene()
    end

end

function saveConfig()
    local conf = io.open(configfile, 'w')
    conf:write(binser.serialize(config))
    conf:close()
    
end
